系統要求:COMSOL Multiphysics® 5.6 版本

以下要求適用于所有平臺:

  • 安裝過程中建議使用正常工作的網卡并連接 Internet
  • 建議至少 4 GB RAM
  • 2-13 GB 的磁盤空間,具體取決于許可的產品和安裝選項
  • Adobe® Acrobat® Reader,用于查看和打印 PDF 格式的 COMSOL 文檔
  • 基于英特爾? 64 或 AMD64 架構的英特爾? 或 AMD® 64 位處理器(具有 SSE4 指令集)。2009 年以后發布的英特爾? 處理器和 2012 年以后發布的 AMD® 處理器滿足這一要求。

如需更多硬件配置建議,請參見相關知識庫條目。

操作系統要求

除以下列出的操作系統要求外,您還可以訪問接口產品套件要求頁面,查看“CAD 導入模塊”、“設計模塊”和 LiveLink™ 產品的具體要求。COMSOL Compiler™ 的系統要求與 COMSOL Multiphysics® 的系統要求相同。

Windows® macOS Linux®
64 位操作系統
  • Windows® 10
  • Windows® 10 Pro for Workstations
  • Windows® 8.1
  • Windows® 7 SP1
  • Windows Server® 2019
  • Windows Server® 2016
  • Windows Server® 2012 R2
  • Windows Server® 2012
  • Windows Server® 2008 R2 SP1
  • Windows HPC Server 2008 R2 SP1
macOS 10.13、10.14、10.15 和 11.0
  • Debian® 9 和 10
  • Red Hat® Enterprise Linux® 7.8 和 8.2
  • CentOS 7.8 和 8.2
  • Oracle® Linux® 8.2
  • Ubuntu® 18.04 和 20.04
  • SUSE® Linux Enterprise Desktop? 15 SP2
  • OpenSUSE® Leap 15.1 和 15.2

特定操作系統的系統要求

Linux®
  • GNU C 庫 2.17 或更高版本
  • Linux® 內核 3.10 或更高版本
  • FlexNet® 許可證管理器需要 Linux Standard Base (LSB™)1

1請參見以下有關 Linux® 上的 FlexNet® 許可證管理器的信息。

Linux® 上的幫助系統

為了在 Linux® 操作系統上運行幫助系統,需要安裝以下軟件包:

操作系統 軟件包名稱
Debian® 9 和 10 libwebkit2gtk-4.0-37
Ubuntu® 18.04 和 20.04 libwebkit2gtk-4.0-37
Red Hat® Enterprise Linux® 7 和 CentOS? 7 webkitgtk4
Red Hat® Enterprise Linux® 8、CentOS? 8 和 Oracle® Linux 8 webkit2gtk3
SUSE® Linux Enterprise Desktop? 15 SP2 libwebkit2gtk-4_0-37
OpenSUSE® Leap 15.1 和 15.2 libwebkit2gtk-4_0-37

FlexNet® 許可證管理器

許可證管理器的系統要求與 COMSOL Multiphysics® 的系統要求相同。除了 Linux® 系統要求以外,許可證管理器還支持?Red Hat®?Enterprise Linux®?6、SUSE®?Linux Enterprise Desktop??11.4?和?Debian®?6 及更高版本。FlexNet® 11.16.2.1 版本支持在所有平臺上使用。lmgrd 的版本不得低于 COMSOL® 軟件使用的 FlexNet® 版本。

Linux® 上的 FlexNet® 許可證管理器

Linux® 系統的許可證服務器計算機需要 Linux Standard Base (LSB™)。

如果分發存儲庫中缺少 LSB? 核心軟件包,請以 root 身份手動創建一個符號鏈接:

ln -s /lib64/ld-linux-x86-64.so.2 /lib64/ld-lsb-x86-64.so.3

發行版 所需軟件包
Debian® lsb-core
Ubuntu® lsb-core
Red Hat® redhat-lsb
SUSE® lsb

App 開發器

Windows® 操作系統支持“App 開發器”。

支持 Microsoft® PowerPoint® 的插件

支持 PowerPoint® 的 COMSOL 插件與 Windows® 操作系統上的 PowerPoint® 2010、2013、2016 和 2019 兼容。不支持 PowerPoint® 2010 Starter。如果您使用的是 Office 365,則必須在計算機上安裝 PowerPoint® - 該插件需要支持 VSTO 插件的 PowerPoint® 版本。

并行系統要求

Windows® macOS Linux®
共享內存并行 所有支持的 Windows® 版本 所有支持的 macOS 版本 所有支持的 Linux® 發行版
分布式內存并行
  • Windows Server® 20191
  • Windows Server® 20161
  • Windows Server® 2012 R21
  • Windows Server® 20121
  • Windows HPC Server 2008 R2 SP1
不支持
  • Red Hat® Enterprise Linux® 7.8
  • CentOS 7.8
  • Debian® 9
  • Ubuntu® 18.04

集群中的所有計算機都必須使用相同的 Linux® 版本,并采用相似的硬件。建議您安裝 OpenFabrics Enterprise Distribution (OFED) 1.5.4.1 或更高版本。如果使用的是支持 RDMA 的網絡架構,則需要與 DAPL 1.2 或更高版本兼容的驅動程序或庫,所需軟件通常隨硬件一起提供。

1需要相應 Windows Server 版本的 Windows HPC Pack。

有關如何在云中運行 COMSOL Multiphysics® 和 COMSOL Server™ 的信息,請查看此頁面。

官方支持的編譯器

COMSOL Multiphysics® 在“App 開發器”中提供外部 C 接口,用于訪問外部函數、外部材料以及外部 C 庫。

Windows® macOS Linux®
外部 C 接口 Microsoft Visual Studio® 2017 官方支持英特爾? Parallel Studio XE Composer 版 C++ macOS 18.5(也稱為英特爾? C++ 編譯器 18.0.6 版本)和 Apple LLVM 版本 9.1.0 (clang-902.0.39.2) 官方支持英特爾? Parallel Studio XE Composer 版 C++ Linux® 18.4(也稱為英特爾? C++ 編譯器 18.0.5 版本)和 GCC 6.5.0
Java® API JDK 1.7 和 1.8 JDK 1.7 或 1.8 JDK 1.7 和 1.8

COMSOL Multiphysics® 使用上述 C/C++ 編譯器進行構建和測試。請注意,這些 C/C++ 編譯器的更高版本也可能與外部 C 接口兼容。通過 <安裝目錄>/bin/comsolclientpath.txt 中列出的 jar 文件在客戶端/服務器模式下使用適用于 Java® API 的 COMSOL API 時,支持 JRE 1.7 和 JRE 1.8。通過 <安裝目錄>/bin/comsolpath.txt 中列出的 jar 文件在獨立模式下使用適用于 Java® API 的 COMSOL API 時,支持 JRE 1.8。

圖形系統要求

基于性能方面的考慮,COMSOL 建議使用硬件渲染,這需要驅動程序支持 OpenGL® 2.0 版本。Windows® 操作系統用戶也可以在本地控制臺上使用 DirectX® 9 版本。硬件渲染至少需要 24 位彩色圖形。

“圖形”首選項中的優化質量 設置需要 OpenGL® 2.1。軟件渲染還支持 16 位彩色圖形。為提高性能,我們建議顯卡內存不小于 512 MB。

AMD®

Windows® 10

顯卡型號 驅動程序版本
AMD Radeon™ Pro VII 20.Q3
AMD Radeon™ Pro WX 9100 20.Q3
AMD Radeon™ Pro WX 8200 20.Q3
AMD Radeon™ Pro WX 7100 20.Q3
AMD Radeon™ Pro WX 5100 20.Q3
AMD Radeon™ Pro WX 4100 20.Q3
AMD Radeon™ Pro WX 3200 20.Q3
AMD Radeon™ Pro WX 3100 20.Q3
AMD Radeon™ Pro WX 2100 20.Q3

Ubuntu® 20.04

顯卡型號 驅動程序版本
AMD Radeon™ Pro WX 9100 AMDGPU (Linux® 5.4)
AMD Radeon™ Pro WX 8200 AMDGPU (Linux® 5.4)
AMD Radeon™ Pro WX 7100 AMDGPU (Linux® 5.4)
AMD Radeon™ Pro WX 5100 AMDGPU (Linux® 5.4)
AMD Radeon™ Pro WX 4100 AMDGPU (Linux® 5.4)
AMD Radeon™ Pro WX 3200 AMDGPU (Linux® 5.4)
AMD Radeon™ Pro WX 2100 AMDGPU (Linux® 5.4)

Ubuntu® 18.04

顯卡型號 驅動程序版本
AMD Radeon™ Pro WX 3100 AMDGPU (Linux® 5.4)

NVIDIA®

Windows® 10

顯卡型號 驅動程序版本
Quadro® RTX 3000 452.06
Quadro® T1000 452.06
Quadro® P4000 452.06
Quadro® P3200 452.06
Quadro® P2000 452.06
Quadro® P1000 452.06
Quadro® P600 452.06

Windows® 7

顯卡型號 驅動程序版本
Quadro® P400 452.06

以上列出的顯卡已經過嚴格測試,均與 COMSOL Multiphysics® 軟件兼容。但請注意,其他 AMD® 或 NVIDIA® 顯卡也可能與 COMSOL Multiphysics® 兼容。與上面所列任一顯卡屬于相同型號系列的顯卡更可能與 COMSOL Multiphysics® 兼容。

對于 Linux® 上的硬件加速,請使用顯卡供應商的專有驅動程序,如 NVIDIA®;否則請使用 COMSOL® 軟件渲染。Nouveau 視頻驅動程序僅支持軟件渲染。

注:本建議信息只是出于用戶利益的考慮而提供,不應代替您根據具體情況和自身對于 COMSOL® 軟件或其他軟件的使用而對適用系統要求進行的考察和判斷。系統和硬件的定期更新可能會影響您對適用系統要求的判斷。

Adobe 和 Acrobat 是 Adobe Systems Incorporated 在美國和/或其他國家/地區的注冊商標或商標。AMD、AMD 速龍、FirePro 和 Radeon 是 Advanced Micro Devices, Inc. 的商標或注冊商標。Debian 是 Software in the Public Interest, Inc. 在美國的注冊商標。FlexNet 是 Flexera Software LLC. 的注冊商標。NVIDIA 和 NVIDIA Quadro 是 NVIDIA Corporation 在美國和/或其他國家/地區的注冊商標。英特爾和奔騰是英特爾公司或其子公司在美國和/或其他國家/地區的商標。Oracle 和 Java 是 Oracle 和/或其關聯公司的注冊商標。Red Hat、Red Hat Enterprise Linux 和 CentOS 是 Red Hat, Inc. 的注冊商標。Ubuntu 是 Canonical Ltd. 的注冊商標。OpenGL 是 Silicon Graphics, Inc. 在美國和/或其他國家/地區的商標或注冊商標。OpenSUSE 和 SUSE 是 SUSE LLC. 的注冊商標。Linux、Linux Standard Base 和 LSB 是 Linus Torvalds 在美國和其他國家/地區的商標或注冊商標。macOS 是 Apple Inc. 在美國和其他國家/地區的商標。Microsoft、DirectX、PowerPoint、Visual Studio、Windows 和 Windows Server 是 Microsoft Corporation 在美國和/或其他國家/地區的注冊商標或商標。COMSOL AB 及其子公司和產品不與上述商標所有者相關聯,亦不由其擔保、贊助或支持。